UDISKIE-MOUNT(1)

NAME
udiskie-mount - automounter for removable media for Python, mounting utility

DESCRIPTION
udiskie-mount: a user-level command line utility for mounting.

  Usage:

    udiskie-mount [options] (-a | DEVICE...) udiskie-mount (--help | --version)

  General options:

-c FILE, --config=FILE
    Set config file

-C, --no-config
    Don't use config file

-v, --verbose
    Increase verbosity (DEBUG)

-q, --quiet
    Decrease verbosity

-0, --udisks-auto
    Auto discover UDisks version

-1, --use-udisks1
    Use UDisks1 as backend

-2, --use-udisks2
    Use UDisks2 as backend

-h, --help
    Show this help

-V, --version
    Show version information

  Mount options:

-a, --all
    Mount all handleable devices

-r, --recursive
    Recursively mount partitions

-R, --no-recursive
    Disable recursive mounting

-o OPTIONS, --options OPTIONS
    Mount option list

-p COMMAND, --password-prompt COMMAND
    Command for password retrieval

-P, --no-password-prompt
    Disable unlocking

Note, that the options in the individual groups are mutually exclusive.

The config file can be a JSON or preferrably a YAML file. For an example, see the MAN page (or doc/udiskie.8.txt in the repository).